package com.mdd.admin.validate.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("系统操作日志搜索参数")
public class SystemSearchOperateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("是否客户端日志")
   private Integer isClient = 0;
   @ApiModelProperty("操作人ID")
   private Integer adminId;
   @ApiModelProperty("标题")
   private String title;
   @ApiModelProperty("账号")
   private String username;
   @ApiModelProperty("IP")
   private String ip;
   @ApiModelProperty("类型")
   private String type;
   @ApiModelProperty("状态")
   private String status;
   @ApiModelProperty("路由")
   private String url;
   @ApiModelProperty("开始时间")
   private String startTime;
   @ApiModelProperty("结束时间")
   private String endTime;

   public Integer getIsClient() {
      return this.isClient;
   }

   public Integer getAdminId() {
      return this.adminId;
   }

   public String getTitle() {
      return this.title;
   }

   public String getUsername() {
      return this.username;
   }

   public String getIp() {
      return this.ip;
   }

   public String getType() {
      return this.type;
   }

   public String getStatus() {
      return this.status;
   }

   public String getUrl() {
      return this.url;
   }

   public String getStartTime() {
      return this.startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public void setIsClient(Integer isClient) {
      this.isClient = isClient;
   }

   public void setAdminId(Integer adminId) {
      this.adminId = adminId;
   }

   public void setTitle(String title) {
      this.title = title;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public void setIp(String ip) {
      this.ip = ip;
   }

   public void setType(String type) {
      this.type = type;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public void setUrl(String url) {
      this.url = url;
   }

   public void setStartTime(String startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(String endTime) {
      this.endTime = endTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemSearchOperateValidate)) {
         return false;
      } else {
         SystemSearchOperateValidate other = (SystemSearchOperateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$isClient = this.getIsClient();
            Object other$isClient = other.getIsClient();
            if (this$isClient == null) {
               if (other$isClient != null) {
                  return false;
               }
            } else if (!this$isClient.equals(other$isClient)) {
               return false;
            }

            Object this$adminId = this.getAdminId();
            Object other$adminId = other.getAdminId();
            if (this$adminId == null) {
               if (other$adminId != null) {
                  return false;
               }
            } else if (!this$adminId.equals(other$adminId)) {
               return false;
            }

            Object this$title = this.getTitle();
            Object other$title = other.getTitle();
            if (this$title == null) {
               if (other$title != null) {
                  return false;
               }
            } else if (!this$title.equals(other$title)) {
               return false;
            }

            label110: {
               Object this$username = this.getUsername();
               Object other$username = other.getUsername();
               if (this$username == null) {
                  if (other$username == null) {
                     break label110;
                  }
               } else if (this$username.equals(other$username)) {
                  break label110;
               }

               return false;
            }

            label103: {
               Object this$ip = this.getIp();
               Object other$ip = other.getIp();
               if (this$ip == null) {
                  if (other$ip == null) {
                     break label103;
                  }
               } else if (this$ip.equals(other$ip)) {
                  break label103;
               }

               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            label89: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label89;
                  }
               } else if (this$status.equals(other$status)) {
                  break label89;
               }

               return false;
            }

            label82: {
               Object this$url = this.getUrl();
               Object other$url = other.getUrl();
               if (this$url == null) {
                  if (other$url == null) {
                     break label82;
                  }
               } else if (this$url.equals(other$url)) {
                  break label82;
               }

               return false;
            }

            Object this$startTime = this.getStartTime();
            Object other$startTime = other.getStartTime();
            if (this$startTime == null) {
               if (other$startTime != null) {
                  return false;
               }
            } else if (!this$startTime.equals(other$startTime)) {
               return false;
            }

            Object this$endTime = this.getEndTime();
            Object other$endTime = other.getEndTime();
            if (this$endTime == null) {
               if (other$endTime != null) {
                  return false;
               }
            } else if (!this$endTime.equals(other$endTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemSearchOperateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $isClient = this.getIsClient();
      result = result * 59 + ($isClient == null ? 43 : $isClient.hashCode());
      Object $adminId = this.getAdminId();
      result = result * 59 + ($adminId == null ? 43 : $adminId.hashCode());
      Object $title = this.getTitle();
      result = result * 59 + ($title == null ? 43 : $title.hashCode());
      Object $username = this.getUsername();
      result = result * 59 + ($username == null ? 43 : $username.hashCode());
      Object $ip = this.getIp();
      result = result * 59 + ($ip == null ? 43 : $ip.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $url = this.getUrl();
      result = result * 59 + ($url == null ? 43 : $url.hashCode());
      Object $startTime = this.getStartTime();
      result = result * 59 + ($startTime == null ? 43 : $startTime.hashCode());
      Object $endTime = this.getEndTime();
      result = result * 59 + ($endTime == null ? 43 : $endTime.hashCode());
      return result;
   }

   public String toString() {
      return "SystemSearchOperateValidate(isClient=" + this.getIsClient() + ", adminId=" + this.getAdminId() + ", title=" + this.getTitle() + ", username=" + this.getUsername() + ", ip=" + this.getIp() + ", type=" + this.getType() + ", status=" + this.getStatus() + ", url=" + this.getUrl() + ", startTime=" + this.getStartTime() + ", endTime=" + this.getEndTime() + ")";
   }
}
